Page MenuHomePhabricator

Enhanced editor is not visible in Wikisource Page namespace edit mode
Closed, ResolvedPublic

Description

Image showing missing text edit box

Selecting Wikisource Preferences\Editing\Enable enhanced editing toolbar, the editor textbox is not visible.

Firefox v26 Web Console reports the following:

"Exception thrown by job.error" load.php:145
"[Exception... "Node cannot be inserted at the specified point in the hierarchy" code: "3" nsresult: "0x80530003 (HierarchyRequestError)" location: "<unknown>"]" [object DOMException] load.php:145

Also, please see attached .jpg image:

Enhanced editing toolbar enabled - show edit toolbar disabled - no textedit box.jpg


Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC
URL: https://en.wikisource.org/w/index.php?title=Page:Popular_Science_Monthly_Volume_17.djvu/450&action=edit

Attached:

Details

Reference
bz61220

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:01 AM
bzimport set Reference to bz61220.
bzimport added a subscriber: Unknown Object (MLST).
Ineuw created this task.Feb 11 2014, 5:05 PM
Ineuw added a comment.Feb 11 2014, 6:51 PM

This problem only occurs in the Page: namespace. Other namespaces are not affected.

Confirming (though I don't even get an image delivered here, which is worse).

Firefox 27 says:
HierarchyRequestError: Node cannot be inserted at the specified point in the hierarchy
in load.php:5779:
append: function() {

		return this.domManip(arguments, true, function( elem ) {
			if ( this.nodeType === 1 || this.nodeType === 11 ) {

--> this.appendChild( elem );

			}
		});

},

Tpt added a comment.Feb 24 2014, 4:51 PM

@Inew: Is this issue fixed for you? If so, please close the bug

Change 115205 had a related patch set uploaded by Tpt:
Fix fatal error when usebetatoolbar option was activated and not showtoolbar

https://gerrit.wikimedia.org/r/115205

Tpt added a comment.Feb 24 2014, 5:38 PM

@Inew: Forget the previous comment. I've managed to reproduce the issue after reading en.wikisource Scriptorium (the next time please put here too your options or copy/paste a link). I've also made a change that should fix partially the issue.

Tpt added a comment.Feb 24 2014, 6:57 PM
  • Bug 61839 has been marked as a duplicate of this bug. ***

(In reply to Tpt from comment #3)

@Inew: Is this issue fixed for you? If so, please close the bug

Nothing changed. If you implemented a fix, it didn't work.

Change 115205 merged by jenkins-bot:
Fix fatal error when usebetatoolbar option was activated and not showtoolbar

https://gerrit.wikimedia.org/r/115205

Patch merged in comment 8 which partially fixes the issue => resetting status

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:56 AM